MP2 Alpha 2 Start Service issue (1 Viewer)

alturismo

Portal Pro
July 28, 2009
121
9
Home Country
Germany Germany
Hi,

when i try to install the new alpha 2 release i always get stuck on the starting server section,
error is from log

StartServices: Service: MediaPortal 2 Server Service
Error 1920. Service 'MediaPortal 2 Server Service' (MP2-Server) failed to start. Verify that you have sufficient privileges to start system services.
MSI (s) (48:2C) [15:54:38:358]: Product: MediaPortal 2 -- Error 1920. Service 'MediaPortal 2 Server Service' (MP2-Server) failed to start. Verify that you have sufficient privileges to start system services.

when i cancel setup does a complete rollback ;)

when i try to install mp2 service only same result ... client installation only sure works ;)

im administrator on the mashine so ;)

also trying to start the service from service settings i get an immediately stop again ...

System win 7 x64

may an idea what could be wrong ? thanks ahead
 

chefkoch

Retired Team Member
  • Premium Supporter
  • October 5, 2004
    3,129
    1,634
    Dresden / Munich / Maastricht
    Home Country
    Germany Germany
    Do you still have those files in your trash bin? If you could you please zip them and send me via private message?
    We need to figure out the correct reasons and document issue that is breaking / preventing the service start. If something in settings is broken it should not break MP2. MP2 should just ignore these and fall back to the defaults.
     
    Last edited:

    Lehmden

    Retired Team Member
  • Premium Supporter
  • December 17, 2010
    12,544
    3,932
    Lehmden
    Home Country
    Germany Germany
    Hi.
    I can remember having same issue with older SlimTV Native plugin which wasn't compatible with Alpha1 WinterRelease (and maybe Alpha 2 also). MP2 Server could not start due this incompatible plugin and therefore the installer did a complete rollback...
     

    chefkoch

    Retired Team Member
  • Premium Supporter
  • October 5, 2004
    3,129
    1,634
    Dresden / Munich / Maastricht
    Home Country
    Germany Germany
    We definitely need to change something within the server, so that multiple tv providers or also multiple database providers are do not prevent the application (server or client) from working. So it should use the last one that has been used or ask the use to which one to use if this has not been defined, yet.
    This would already be nice2have.

    The minimum change we need here is to write proper errors to log messages, i.e. "Found multiple tv/database proiders: ProviderAB, ProviderXY - Only one is allowed. Please solve this. The application is being closed" Or having kind of priority list or white list, .....
    Not sure, yet, but here we need to get MP2 a little bit more error prone, like it is already in so many other cases, to increase stability and user experience.
     

    pur_berger

    Super User
  • Team MediaPortal
  • Super User
  • May 14, 2007
    1,679
    309
    51
    Vienna
    Home Country
    Austria Austria
    Same issue here with SlimTV Native Alpha 2 - when used MP2 wont start anymore - uninstall lead the service could not be started and when deleted the two Folders (only containing teh SlimTV Files) the setup worked fine again.

    Sorry - forgott to mention it's Alpha 3 not Alpha 2
     

    Attachments

    • Capture.JPG
      Capture.JPG
      21.9 KB
    Last edited:

    morpheus_xx

    Lead Dev MP2
  • Team MediaPortal
  • March 24, 2007
    12,073
    7,459
    Home Country
    Germany Germany
    Logfiles please :)

    What OS you are using? I've found that Tve35 still has the version check in, which prevents the plugin from starting on Win 8.1 and unfortunately also the whole MP2-server. This needs to be fixed, I even prefer to remove this check completely
     

    pur_berger

    Super User
  • Team MediaPortal
  • Super User
  • May 14, 2007
    1,679
    309
    51
    Vienna
    Home Country
    Austria Austria
    Logfiles please :)

    What OS you are using? I've found that Tve35 still has the version check in, which prevents the plugin from starting on Win 8.1 and unfortunately also the whole MP2-server. This needs to be fixed, I even prefer to remove this check completely

    Windows 8.1 ... of course :). Do you have a fix for this meanwhile?
     

    morpheus_xx

    Lead Dev MP2
  • Team MediaPortal
  • March 24, 2007
    12,073
    7,459
    Home Country
    Germany Germany
    I need to compile a new version without this check. Will try to do so asap.
     

    Users who are viewing this thread

    Top Bottom